- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions | Public Attributes
DimacsDescriptor Struct Reference
DIMACS Format

`#include <lemon/dimacs.h>`

## Public Types
enum | Type { NONE, MIN, MAX, SP, MAT }
| DIMACS file type enum. More...

## Public Member Functions
| DimacsDescriptor ()
| Constructor. It sets the type to `NONE`.

## Public Attributes
Type | type
| The file type.
int | nodeNum
| The number of nodes in the graph.
int | edgeNum
| The number of edges in the graph.

## Member Enumeration Documentation

enum Type

DIMACS file type enum.

Enumerator
NONE | Undefined type.
MIN | DIMACS file type for minimum cost flow problems.
MAX | DIMACS file type for maximum flow problems.
SP | DIMACS file type for shostest path problems.
MAT | DIMACS file type for plain graphs and matching problems.